Index: chipset_enable.c
===================================================================
--- chipset_enable.c	(revision 1419)
+++ chipset_enable.c	(working copy)
@@ -1052,6 +1052,7 @@
 	{0x1002, 0x4377, OK, "ATI", "SB400",		enable_flash_sb400},
 	{0x1002, 0x438d, OK, "AMD", "SB600",		enable_flash_sb600},
 	{0x1002, 0x439d, OK, "AMD", "SB700/SB710/SB750/SB850", enable_flash_sb600},
+	{0x1002, 0x780e, OK, "AMD", "HUDSON",		enable_flash_sb600},
 	{0x100b, 0x0510, NT, "AMD", "SC1100",		enable_flash_sc1100},
 	{0x1022, 0x2080, OK, "AMD", "CS5536",		enable_flash_cs5536},
 	{0x1022, 0x2090, OK, "AMD", "CS5536",		enable_flash_cs5536},
Index: sb600spi.c
===================================================================
--- sb600spi.c	(revision 1419)
+++ sb600spi.c	(working copy)
@@ -259,8 +259,11 @@
 	smbus_dev = pci_dev_find(0x1002, 0x4385);
 
 	if (!smbus_dev) {
-		msg_perr("ERROR: SMBus device not found. Not enabling SPI.\n");
-		return ERROR_NONFATAL;
+		smbus_dev = pci_dev_find(0x1022,0x780b); /*HUDSON*/
+		if(!smbus_dev){
+			msg_perr("ERROR: SMBus device not found. Not enabling SPI.\n");
+			return ERROR_NONFATAL;
+		}
 	}
 
 	/* Note about the bit tests below: If a bit is zero, the GPIO is SPI. */
